# Enum Class MFlatpakRuntimeRole

java.lang.Object
java.lang.Enum<MFlatpakRuntimeRole>
com.io7m.montarre.api.MFlatpakRuntimeRole

All Implemented Interfaces:
  `Serializable, Comparable<MFlatpakRuntimeRole>, Constable`

public enum MFlatpakRuntimeRole extends Enum<MFlatpakRuntimeRole>
The role of a runtime.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PLATFORM`
  The runtime is used as a platform.
  `SDK`
  The runtime is used as an SDK.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MFlatpakRuntimeRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MFlatpakRuntimeRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLATFORM

    public static final MFlatpakRuntimeRole PLATFORM
    The runtime is used as a platform.

  - ### SDK

    public static final MFlatpakRuntimeRole SDK
    The runtime is used as an SDK.

- ## Method Details

  - ### values

    public static MFlatpakRuntimeRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MFlatpakRuntimeRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null